%global modulename cacache

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-cacache
Version:        11.3.1
Release:        1%{?dist}
Summary:        Fast, fault-tolerant, cross-platform, disk-based, data-agnostic, content-addressable cache.

License:        ISC
URL:            https://github.com/zkat/cacache#readme
Source0:        https://registry.npmjs.org/cacache/-/cacache-11.3.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(bluebird) >= 3.5.1 with npmlib(bluebird) < 4.0.0))
BuildRequires:  ((npmlib(chownr) >= 1.0.1 with npmlib(chownr) < 2.0.0))
BuildRequires:  ((npmlib(figgy-pudding) >= 3.1.0 with npmlib(figgy-pudding) < 4.0.0))
BuildRequires:  ((npmlib(glob) >= 7.1.2 with npmlib(glob) < 8.0.0))
BuildRequires:  ((npmlib(graceful-fs) >= 4.1.11 with npmlib(graceful-fs) < 5.0.0))
BuildRequires:  ((npmlib(lru-cache) >= 4.1.3 with npmlib(lru-cache) < 5.0.0))
BuildRequires:  ((npmlib(mississippi) >= 3.0.0 with npmlib(mississippi) < 4.0.0))
BuildRequires:  ((npmlib(mkdirp) >= 0.5.1 with npmlib(mkdirp) < 0.6.0))
BuildRequires:  ((npmlib(move-concurrently) >= 1.0.1 with npmlib(move-concurrently) < 2.0.0))
BuildRequires:  ((npmlib(promise-inflight) >= 1.0.1 with npmlib(promise-inflight) < 2.0.0))
BuildRequires:  ((npmlib(rimraf) >= 2.6.2 with npmlib(rimraf) < 3.0.0))
BuildRequires:  ((npmlib(ssri) >= 6.0.0 with npmlib(ssri) < 7.0.0))
BuildRequires:  ((npmlib(unique-filename) >= 1.1.0 with npmlib(unique-filename) < 2.0.0))
BuildRequires:  ((npmlib(y18n) >= 4.0.0 with npmlib(y18n) < 5.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Fast, fault-tolerant, cross-platform, disk-based, data-agnostic, content-addressable cache.

%package 11.3.1
Summary:        Fast, fault-tolerant, cross-platform, disk-based, data-agnostic, content-addressable cache.


%description 11.3.1
Fast, fault-tolerant, cross-platform, disk-based, data-agnostic, content-addressable cache.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr en.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr es.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr get.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr locales %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr ls.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr put.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr rm.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr verify.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc LICENSE.md
%doc README.es.md
%doc README.md
%{nodejs_dir}/%{modulename}

%files 11.3.1
%doc CHANGELOG.md
%doc LICENSE.md
%doc README.es.md
%doc README.md
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Sat Nov 17 2018 npm2srpm <dshea@redhat.com> - 11.3.1-1
- Package automatically generated by npm2srpm
